petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCMGGetRScale

Gets the pointwise scaling for the restriction operator from level l to l-1.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGGetRScale(PC pc,PetscInt l,Vec *rscale)

Collective on PC

### Input Parameters

| pc | - the multigrid context
| rscale | - the scaling
| l | - the level (0 is coarsest) to supply [Do not supply 0]

### Notes

When evaluating a function on a coarse level one does not want to do F(R * x) one does F(rscale * R * x) where rscale is 1 over the row sums of R. It is preferable to use PCMGGetInjection() to control moving primal vectors.

### Keywords

MG, set, multigrid, restriction, level

### See Also

PCMGSetInterpolation(), PCMGGetRestriction(), PCMGGetInjection()

### Level

advanced

### Location

src/ksp/pc/impls/mg/mgfunc.c

### Examples

src/snes/examples/tutorials/ex12.c.html
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages